diff --git a/lib/view/user/my_work_view.dart b/lib/view/user/my_work_view.dart
index c4f31d4..b3e715b 100644
--- a/lib/view/user/my_work_view.dart
+++ b/lib/view/user/my_work_view.dart
@@ -1,6 +1,7 @@
 import 'package:flutter/material.dart';
 import 'package:get/get.dart';
 import 'package:music_player_miao/api/api_music_likes_list.dart';
+import 'package:music_player_miao/api/api_music_works.dart';
 import 'package:music_player_miao/common_widget/app_data.dart';
 import 'package:music_player_miao/models/getLikeList_bean.dart';
 import 'package:music_player_miao/view_model/home_view_model.dart';
@@ -8,6 +9,7 @@ import '../../api/api_songlist.dart';
 import '../music_view.dart';
 import '../../common_widget/Song_widegt.dart';
 import '../../common/download_manager.dart';
+import '../../models/universal_bean.dart';
 
 /// 我的点赞页面
 class MyWorkView extends StatefulWidget {
@@ -56,6 +58,24 @@ class _MyWorkViewState extends State<MyWorkView> {
     }
   }
 
+  Future<void> _deleteSong(int songId) async {
+    try {
+      UniversalBean response = await WorksApiMusic().worksMusic(
+          musicId: songId, Authorization: AppData().currentToken);
+      if (response.code != 200) {
+        throw Exception('Failed to delete song');
+      }
+      // 删除成功后刷新列表
+      await _fetchLikedSongs();
+    } catch (error) {
+      print('Error deleting song: $error');
+      // 显示错误提示
+      ScaffoldMessenger.of(context).showSnackBar(
+        const SnackBar(content: Text('删除失败，请稍后重试')),
+      );
+    }
+  }
+
   @override
   Widget build(BuildContext context) {
     return Container(
@@ -234,117 +254,182 @@ class _MyWorkViewState extends State<MyWorkView> {
                   padding: EdgeInsets.zero,
                   itemBuilder: (context, index) {
                     final song = likedSongs[index];
-                    return ListTile(
-                      contentPadding: const EdgeInsets.symmetric(horizontal: 16.0),
-                      // 根据是否是多选模式执行不同的点击操作
-                      onTap: _isSelectMode
-                          ? () {
-                        setState(() {
-                          _selectedItems[index] = !_selectedItems[index];
-                        });
-                      }
-                          : () async {
-                        // 创建Song对象列表用于播放
-                        List<Song> songList = likedSongs.map((song) => Song(
-                          id: song.id ?? 0,
-                          title: song.name ?? '未知歌曲',
-                          artist: song.singerName ?? '未知歌手',
-                          artistPic: song.coverPath ?? 'https://api.aspark.cc/image/1/6759856d288fd.jpg',
-                          pic: song.coverPath ?? 'https://api.aspark.cc/image/1/6759856d288fd.jpg',
-                          musicurl: song.musicPath ?? '',
-                          likes: song.likes,
-                          collection: song.collection,
-                          mid: song.mid,
-                        )).toList();
-
-                        // 导航到音乐播放页面
-                        final result = await Navigator.push(
-                          context,
-                          MaterialPageRoute(
-                            builder: (context) => MusicView(
-                              songList: songList,
-                              initialSongIndex: index,
-                              // 歌曲状态变化回调
-                              onSongStatusChanged: (index, isCollected, isLiked) {
-                                setState(() {
-                                  songList[index].collection = isCollected;
-                                  songList[index].likes = isLiked;
-                                  downloadManager.updateSongInfo(
-                                    songList[index].id,
-                                    isCollected,
-                                    isLiked,
-                                  );
-                                });
-                              },
+                    return Dismissible(
+                      key: Key(song.id.toString()),
+                      direction: DismissDirection.endToStart,
+                      background: Container(
+                        color: Colors.red,
+                        padding: const EdgeInsets.only(right: 16.0),
+                        alignment: Alignment.centerRight,
+                        child: Column(
+                          mainAxisAlignment: MainAxisAlignment.center,
+                          children: [
+                            Image.asset(
+                              "assets/img/delete.png",
+                              width: 24,
+                              height: 24,
+                              color: Colors.white,
                             ),
-                          ),
+                            const SizedBox(height: 4),
+                            const Text(
+                              '删除',
+                              style: TextStyle(
+                                color: Colors.white,
+                                fontSize: 12,
+                              ),
+                            ),
+                          ],
+                        ),
+                      ),
+                      confirmDismiss: (direction) async {
+                        return await showDialog(
+                          context: context,
+                          builder: (BuildContext context) {
+                            return AlertDialog(
+                              title: const Text('确认删除'),
+                              content: Text('确定要删除 ${song.name ?? "这首歌"} 吗？'),
+                              actions: <Widget>[
+                                TextButton(
+                                  onPressed: () => Navigator.of(context).pop(false),
+                                  child: const Text(
+                                    '取消',
+                                    style: TextStyle(color: Color(0xff429482)),
+                                  ),
+                                ),
+                                TextButton(
+                                  onPressed: () => Navigator.of(context).pop(true),
+                                  child: const Text(
+                                    '确定',
+                                    style: TextStyle(color: Colors.red),
+                                  ),
+                                ),
+                              ],
+                            );
+                          },
                         );
-
-                        // 从播放页面返回时刷新列表
-                        if (result != null) {
-                          _fetchLikedSongs();
+                      },
+                      onDismissed: (direction) {
+                        if (song.id != null) {
+                          // 处理删除逻辑
+                          setState(() {
+                            likedSongs.removeAt(index);
+                            _selectedItems.removeAt(index);
+                          });
+                          _deleteSong(song.id!);
                         }
                       },
-                      // 歌曲列表项布局
-                      title: Row(
-                        children: [
-                          // 多选模式下显示复选框
-                          if (_isSelectMode)
-                            Checkbox(
-                              value: _selectedItems[index],
-                              onChanged: (value) {
-                                setState(() {
-                                  _selectedItems[index] = value!;
-                                });
-                              },
-                              shape: const CircleBorder(),
-                              activeColor: const Color(0xff429482),
+                      child: ListTile(
+                        contentPadding: const EdgeInsets.symmetric(horizontal: 16.0),
+                        // 根据是否是多选模式执行不同的点击操作
+                        onTap: _isSelectMode
+                            ? () {
+                          setState(() {
+                            _selectedItems[index] = !_selectedItems[index];
+                          });
+                        }
+                            : () async {
+                          // 创建Song对象列表用于播放
+                          List<Song> songList = likedSongs.map((song) => Song(
+                            id: song.id ?? 0,
+                            title: song.name ?? '未知歌曲',
+                            artist: song.singerName ?? '未知歌手',
+                            artistPic: song.coverPath ?? 'https://api.aspark.cc/image/1/6759856d288fd.jpg',
+                            pic: song.coverPath ?? 'https://api.aspark.cc/image/1/6759856d288fd.jpg',
+                            musicurl: song.musicPath ?? '',
+                            likes: song.likes,
+                            collection: song.collection,
+                            mid: song.mid,
+                          )).toList();
+
+                          // 导航到音乐播放页面
+                          final result = await Navigator.push(
+                            context,
+                            MaterialPageRoute(
+                              builder: (context) => MusicView(
+                                songList: songList,
+                                initialSongIndex: index,
+                                // 歌曲状态变化回调
+                                onSongStatusChanged: (index, isCollected, isLiked) {
+                                  setState(() {
+                                    songList[index].collection = isCollected;
+                                    songList[index].likes = isLiked;
+                                    downloadManager.updateSongInfo(
+                                      songList[index].id,
+                                      isCollected,
+                                      isLiked,
+                                    );
+                                  });
+                                },
+                              ),
                             ),
-                          // 歌曲封面图
-                          ClipRRect(
-                            borderRadius: BorderRadius.circular(10),
-                            child: Image.network(
-                              song.coverPath ?? '',
-                              width: 60,
-                              height: 60,
-                              fit: BoxFit.cover,
-                              errorBuilder: (context, error, stackTrace) {
-                                return Image.asset(
-                                  "assets/img/artist_pic.png",
-                                  width: 60,
-                                  height: 60,
-                                );
-                              },
+                          );
+
+                          // 从播放页面返回时刷新列表
+                          if (result != null) {
+                            _fetchLikedSongs();
+                          }
+                        },
+                        // 歌曲列表项布局
+                        title: Row(
+                          children: [
+                            // 多选模式下显示复选框
+                            if (_isSelectMode)
+                              Checkbox(
+                                value: _selectedItems[index],
+                                onChanged: (value) {
+                                  setState(() {
+                                    _selectedItems[index] = value!;
+                                  });
+                                },
+                                shape: const CircleBorder(),
+                                activeColor: const Color(0xff429482),
+                              ),
+                            // 歌曲封面图
+                            ClipRRect(
+                              borderRadius: BorderRadius.circular(10),
+                              child: Image.network(
+                                song.coverPath ?? '',
+                                width: 60,
+                                height: 60,
+                                fit: BoxFit.cover,
+                                errorBuilder: (context, error, stackTrace) {
+                                  return Image.asset(
+                                    "assets/img/artist_pic.png",
+                                    width: 60,
+                                    height: 60,
+                                  );
+                                },
+                              ),
                             ),
-                          ),
-                          const SizedBox(width: 12),
-                          // 歌曲信息
-                          Expanded(
-                            child: Column(
-                              crossAxisAlignment: CrossAxisAlignment.start,
-                              children: [
-                                Text(
-                                  song.name ?? '未知歌曲',
-                                  maxLines: 1,
-                                  overflow: TextOverflow.ellipsis,
-                                  style: const TextStyle(
-                                    fontSize: 16,
-                                    color: Colors.black,
+                            const SizedBox(width: 12),
+                            // 歌曲信息
+                            Expanded(
+                              child: Column(
+                                crossAxisAlignment: CrossAxisAlignment.start,
+                                children: [
+                                  Text(
+                                    song.name ?? '未知歌曲',
+                                    maxLines: 1,
+                                    overflow: TextOverflow.ellipsis,
+                                    style: const TextStyle(
+                                      fontSize: 16,
+                                      color: Colors.black,
+                                    ),
                                   ),
-                                ),
-                                Text(
-                                  song.singerName ?? '未知歌手',
-                                  maxLines: 1,
-                                  overflow: TextOverflow.ellipsis,
-                                  style: const TextStyle(
-                                    fontSize: 14,
-                                    color: Colors.black54,
+                                  Text(
+                                    song.singerName ?? '未知歌手',
+                                    maxLines: 1,
+                                    overflow: TextOverflow.ellipsis,
+                                    style: const TextStyle(
+                                      fontSize: 14,
+                                      color: Colors.black54,
+                                    ),
                                   ),
-                                ),
-                              ],
+                                ],
+                              ),
                             ),
-                          ),
-                        ],
+                          ],
+                        ),
                       ),
                     );
                   },
diff --git a/lib/view/user/user_view.dart b/lib/view/user/user_view.dart
index 0deccae..4848eae 100644
--- a/lib/view/user/user_view.dart
+++ b/lib/view/user/user_view.dart
@@ -292,7 +292,7 @@ class _UserViewState extends State<UserView>
                             child: Row(
                               mainAxisAlignment: MainAxisAlignment.spaceBetween,
                               children: [
-                                Image.asset("assets/img/artist_pic.png"),
+                                Image.asset("assets/img/my_likes.png"),
                                 Column(
                                   crossAxisAlignment: CrossAxisAlignment.start,
                                   children: [
@@ -332,7 +332,7 @@ class _UserViewState extends State<UserView>
                             child: Row(
                               mainAxisAlignment: MainAxisAlignment.spaceBetween,
                               children: [
-                                Image.asset("assets/img/artist_pic.png"),
+                                Image.asset("assets/img/my_collections.png"),
                                 Column(
                                   crossAxisAlignment: CrossAxisAlignment.start,
                                   children: [
@@ -381,7 +381,7 @@ class _UserViewState extends State<UserView>
                             child: Row(
                               mainAxisAlignment: MainAxisAlignment.spaceBetween,
                               children: [
-                                Image.asset("assets/img/artist_pic.png"),
+                                Image.asset("assets/img/my_downloads.png"),
                                 Column(
                                   crossAxisAlignment: CrossAxisAlignment.start,
                                   children: [
@@ -527,7 +527,7 @@ class _UserViewState extends State<UserView>
                                       },
                                       child: Row(
                                         children: [
-                                          Image.asset("assets/img/artist_pic.png"),
+                                          Image.asset("assets/img/my_songs.png"),
                                           const SizedBox(width: 25),
                                           Expanded(
                                             child: Column(
@@ -590,7 +590,7 @@ class _UserViewState extends State<UserView>
                             child: Row(
                               mainAxisAlignment: MainAxisAlignment.spaceBetween,
                               children: [
-                                Image.asset("assets/img/artist_pic.png"),
+                                Image.asset("assets/img/my_works.png"),
                                 Column(
                                   crossAxisAlignment: CrossAxisAlignment.start,
                                   children: [
